# Generated by Django 4.1 on 2022-09-15 01:05

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ("base", "0002_segment"),
    ]

    operations = [
        migrations.CreateModel(
            name="Civil_stat",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status_name",
                    models.CharField(max_length=255, verbose_name="Status name"),
                ),
                (
                    "status_description",
                    models.TextField(
                        blank=True, max_length=255, verbose_name="Status description"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Common_user",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "user_name",
                    models.CharField(max_length=255, verbose_name="User name"),
                ),
                (
                    "creation_date",
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name="Creation date"
                    ),
                ),
                (
                    "user_email",
                    models.EmailField(
                        max_length=255, unique=True, verbose_name="User email"
                    ),
                ),
                (
                    "user_password",
                    models.CharField(max_length=255, verbose_name="User password"),
                ),
                (
                    "user_phone",
                    models.CharField(max_length=255, verbose_name="User phone"),
                ),
                (
                    "user_address",
                    models.CharField(max_length=255, verbose_name="User address"),
                ),
                (
                    "user_photo",
                    models.ImageField(upload_to="", verbose_name="User photo"),
                ),
                (
                    "user_active",
                    models.BooleanField(default=True, verbose_name="User active"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Country_region",
            fields=[
                (
                    "region_id",
                    models.IntegerField(
                        primary_key=True, serialize=False, verbose_name="Region id"
                    ),
                ),
                (
                    "region_name",
                    models.CharField(max_length=255, verbose_name="Region name"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Form",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("form_title", models.CharField(max_length=255)),
                ("form_description", models.CharField(blank=True, max_length=255)),
                ("date_creation", models.DateField(default=django.utils.timezone.now)),
                ("form_active", models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name="Question",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("question_title", models.CharField(max_length=255)),
                ("question_order", models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="Question_type",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type_title", models.CharField(max_length=255)),
                ("type_description", models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name="User_cpf",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "cpf",
                    models.CharField(max_length=255, unique=True, verbose_name="CPF"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Name")),
                (
                    "last_name",
                    models.CharField(max_length=255, verbose_name="Last name"),
                ),
                (
                    "birth_date",
                    models.DateField(
                        default=django.utils.timezone.now, verbose_name="Birth date"
                    ),
                ),
                (
                    "profession",
                    models.CharField(
                        blank=True, max_length=255, verbose_name="Profession"
                    ),
                ),
                (
                    "civil_status",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="civilStatUser",
                        to="base.civil_stat",
                        verbose_name="Civil status",
                    ),
                ),
                (
                    "common_user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="base.common_user",
                        verbose_name="Common user",
                    ),
                ),
                (
                    "gender",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="base.gender",
                        verbose_name="Gender",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="User_cpf_interest",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "segment",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="segmentsInterests",
                        to="base.segment",
                        verbose_name="Segment",
                    ),
                ),
                (
                    "user_cpf",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="usersInterests",
                        to="base.user_cpf",
                        verbose_name="User cpf",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="User_cnpj",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "cnpj",
                    models.CharField(max_length=255, unique=True, verbose_name="CNPJ"),
                ),
                (
                    "corporate_name",
                    models.CharField(max_length=255, verbose_name="Corporate name"),
                ),
                (
                    "common_user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="base.common_user",
                        verbose_name="Common user",
                    ),
                ),
                (
                    "segments",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="companySegments",
                        to="base.segment",
                        verbose_name="Segments",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="User_answer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("answer_field", models.TextField()),
                (
                    "answer_date_creation",
                    models.DateField(default=django.utils.timezone.now),
                ),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="base.question"
                    ),
                ),
                (
                    "user_cpf",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="base.user_cpf"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="question",
            name="question_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="base.question_type"
            ),
        ),
        migrations.AddField(
            model_name="question",
            name="user_form",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="base.form"
            ),
        ),
        migrations.AddField(
            model_name="form",
            name="user_cnpj",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="base.user_cnpj"
            ),
        ),
        migrations.CreateModel(
            name="Country_state",
            fields=[
                (
                    "state_code",
                    models.IntegerField(unique=True, verbose_name="State code"),
                ),
                (
                    "state_name",
                    models.CharField(max_length=255, verbose_name="State name"),
                ),
                (
                    "acronym",
                    models.CharField(
                        max_length=255,
                        primary_key=True,
                        serialize=False,
                        verbose_name="Acronym",
                    ),
                ),
                (
                    "region",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="base.country_region",
                        verbose_name="Region",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Country_city",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "city_code",
                    models.IntegerField(unique=True, verbose_name="City code"),
                ),
                (
                    "city_name",
                    models.CharField(max_length=255, verbose_name="City name"),
                ),
                (
                    "state",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="base.country_state",
                        verbose_name="State",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="common_user",
            name="user_city",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="base.country_city",
                verbose_name="User city",
            ),
        ),
    ]
